Skip to main content
POST
/
traces
Ingest Trace
curl --request POST \
  --url https://api.pandaprobe.com/traces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "customer-support-agent",
  "started_at": "2026-03-29T10:00:00Z"
}
'
{
  "trace_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "task_id": "celery-task-xyz-789"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Schema for the POST /traces request body.

name
string
required
Required string length: 1 - 512
started_at
string<date-time>
required
trace_id
string<uuid>
status
enum<string>
default:COMPLETED

High-level status of a trace.

Available options:
PENDING,
RUNNING,
COMPLETED,
ERROR
input
unknown
output
unknown
metadata
Metadata · object
ended_at
string<date-time> | null
session_id
string | null
Maximum string length: 255
user_id
string | null
Maximum string length: 255
tags
string[]
environment
string | null
Maximum string length: 255
release
string | null
Maximum string length: 255
spans
SpanCreate · object[]
Maximum array length: 500

Response

Successful Response

Response body for a successfully enqueued trace.

trace_id
string<uuid>
required
task_id
string
required